diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/lte/model/lte-ue-rrc.cc ns-3.33/src/lte/model/lte-ue-rrc.cc
--- ns-3.32/src/lte/model/lte-ue-rrc.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/lte/model/lte-ue-rrc.cc	2021-01-09 10:19:22.000000000 -0800
@@ -70,8 +70,7 @@
 
 UeMemberLteUeCmacSapUser::UeMemberLteUeCmacSapUser (LteUeRrc* rrc)
   : m_rrc (rrc)
-{
-}
+{}
 
 void
 UeMemberLteUeCmacSapUser::SetTemporaryCellRnti (uint16_t rnti)
@@ -158,8 +157,8 @@
   NS_LOG_FUNCTION (this);
   m_cphySapUser.push_back (new MemberLteUeCphySapUser<LteUeRrc> (this));
   m_cmacSapUser.push_back (new UeMemberLteUeCmacSapUser (this));
-  m_cphySapProvider.push_back(0);
-  m_cmacSapProvider.push_back(0);
+  m_cphySapProvider.push_back (0);
+  m_cmacSapProvider.push_back (0);
   m_rrcSapProvider = new MemberLteUeRrcSapProvider<LteUeRrc> (this);
   m_drbPdcpSapUser = new LtePdcpSpecificLtePdcpSapUser<LteUeRrc> (this);
   m_asSapProvider = new MemberLteAsSapProvider<LteUeRrc> (this);
@@ -176,20 +175,20 @@
 {
   NS_LOG_FUNCTION (this);
   for ( uint16_t i = 0; i < m_numberOfComponentCarriers; i++)
-   {
-      delete m_cphySapUser.at(i);
-      delete m_cmacSapUser.at(i);
-   }
+    {
+      delete m_cphySapUser.at (i);
+      delete m_cmacSapUser.at (i);
+    }
   m_cphySapUser.clear ();
   m_cmacSapUser.clear ();
   delete m_rrcSapProvider;
   delete m_drbPdcpSapUser;
   delete m_asSapProvider;
   delete m_ccmRrcSapUser;
-  m_cphySapProvider.erase(m_cphySapProvider.begin(), m_cphySapProvider.end());
-  m_cphySapProvider.clear();
-  m_cmacSapProvider.erase(m_cmacSapProvider.begin(), m_cmacSapProvider.end());
-  m_cmacSapProvider.clear();
+  m_cphySapProvider.erase (m_cphySapProvider.begin (), m_cphySapProvider.end ());
+  m_cphySapProvider.clear ();
+  m_cmacSapProvider.erase (m_cmacSapProvider.begin (), m_cmacSapProvider.end ());
+  m_cmacSapProvider.clear ();
   m_drbMap.clear ();
 }
 
@@ -316,14 +315,14 @@
                      "trace fired after DRB is created",
                      MakeTraceSourceAccessor (&LteUeRrc::m_drbCreatedTrace),
                      "ns3::LteUeRrc::ImsiCidRntiLcIdTracedCallback")
-   .AddTraceSource ("RadioLinkFailure",
-                    "trace fired upon failure of radio link",
-                    MakeTraceSourceAccessor (&LteUeRrc::m_radioLinkFailureTrace),
-                    "ns3::LteUeRrc::ImsiCidRntiTracedCallback")
-   .AddTraceSource ("PhySyncDetection",
-                    "trace fired upon receiving in Sync or out of Sync indications from UE PHY",
-                    MakeTraceSourceAccessor (&LteUeRrc::m_phySyncDetectionTrace),
-                    "ns3::LteUeRrc::PhySyncDetectionTracedCallback")
+    .AddTraceSource ("RadioLinkFailure",
+                     "trace fired upon failure of radio link",
+                     MakeTraceSourceAccessor (&LteUeRrc::m_radioLinkFailureTrace),
+                     "ns3::LteUeRrc::ImsiCidRntiTracedCallback")
+    .AddTraceSource ("PhySyncDetection",
+                     "trace fired upon receiving in Sync or out of Sync indications from UE PHY",
+                     MakeTraceSourceAccessor (&LteUeRrc::m_phySyncDetectionTrace),
+                     "ns3::LteUeRrc::PhySyncDetectionTracedCallback")
   ;
   return tid;
 }
@@ -333,28 +332,28 @@
 LteUeRrc::SetLteUeCphySapProvider (LteUeCphySapProvider * s)
 {
   NS_LOG_FUNCTION (this << s);
-  m_cphySapProvider.at(0) = s;
+  m_cphySapProvider.at (0) = s;
 }
 
 void
 LteUeRrc::SetLteUeCphySapProvider (LteUeCphySapProvider * s, uint8_t index)
 {
   NS_LOG_FUNCTION (this << s);
-  m_cphySapProvider.at(index) = s;
+  m_cphySapProvider.at (index) = s;
 }
 
 LteUeCphySapUser*
 LteUeRrc::GetLteUeCphySapUser ()
 {
   NS_LOG_FUNCTION (this);
-  return m_cphySapUser.at(0);
+  return m_cphySapUser.at (0);
 }
 
 LteUeCphySapUser*
 LteUeRrc::GetLteUeCphySapUser (uint8_t index)
 {
   NS_LOG_FUNCTION (this);
-  return m_cphySapUser.at(index);
+  return m_cphySapUser.at (index);
 }
 
 void
@@ -426,13 +425,13 @@
   m_asSapUser = s;
 }
 
-LteAsSapProvider* 
+LteAsSapProvider*
 LteUeRrc::GetAsSapProvider ()
 {
   return m_asSapProvider;
 }
 
-void 
+void
 LteUeRrc::SetImsi (uint64_t imsi)
 {
   NS_LOG_FUNCTION (this << imsi);
@@ -441,8 +440,8 @@
   //Communicate the IMSI to MACs and PHYs for all the component carriers
   for (uint16_t i = 0; i < m_numberOfComponentCarriers; i++)
     {
-      m_cmacSapProvider.at(i)->SetImsi (m_imsi);
-      m_cphySapProvider.at(i)->SetImsi (m_imsi);
+      m_cmacSapProvider.at (i)->SetImsi (m_imsi);
+      m_cphySapProvider.at (i)->SetImsi (m_imsi);
     }
 }
 
@@ -474,14 +473,14 @@
 }
 
 
-uint8_t 
+uint8_t
 LteUeRrc::GetUlBandwidth () const
 {
   NS_LOG_FUNCTION (this);
   return m_ulBandwidth;
 }
 
-uint8_t 
+uint8_t
 LteUeRrc::GetDlBandwidth () const
 {
   NS_LOG_FUNCTION (this);
@@ -494,7 +493,7 @@
   return m_dlEarfcn;
 }
 
-uint32_t 
+uint32_t
 LteUeRrc::GetUlEarfcn () const
 {
   NS_LOG_FUNCTION (this);
@@ -516,7 +515,7 @@
 }
 
 void
-LteUeRrc::SetUseRlcSm (bool val) 
+LteUeRrc::SetUseRlcSm (bool val)
 {
   NS_LOG_FUNCTION (this);
   m_useRlcSm = val;
@@ -550,7 +549,7 @@
   lcConfig.prioritizedBitRateKbps = 65535; // maximum
   lcConfig.bucketSizeDurationMs = 65535; // maximum
   lcConfig.logicalChannelGroup = 0; // all SRBs mapped to LCG 0
-  LteMacSapUser* msu = m_ccmRrcSapProvider->ConfigureSignalBearer(lcid, lcConfig, rlc->GetLteMacSapUser ());
+  LteMacSapUser* msu = m_ccmRrcSapProvider->ConfigureSignalBearer (lcid, lcConfig, rlc->GetLteMacSapUser ());
   m_cmacSapProvider.at (0)->AddLc (lcid, lcConfig, msu);
 }
 
@@ -569,10 +568,10 @@
     {
       for ( uint16_t i = 1; i < m_numberOfComponentCarriers; i++)
         {
-          m_cphySapUser.push_back(new MemberLteUeCphySapUser<LteUeRrc> (this));
-          m_cmacSapUser.push_back(new UeMemberLteUeCmacSapUser (this));
-          m_cphySapProvider.push_back(0);
-          m_cmacSapProvider.push_back(0);
+          m_cphySapUser.push_back (new MemberLteUeCphySapUser<LteUeRrc> (this));
+          m_cmacSapUser.push_back (new UeMemberLteUeCmacSapUser (this));
+          m_cphySapProvider.push_back (0);
+          m_cmacSapProvider.push_back (0);
         }
     }
 }
@@ -587,19 +586,19 @@
 
   if (drbid != 0)
     {
-  std::map<uint8_t, Ptr<LteDataRadioBearerInfo> >::iterator it =   m_drbMap.find (drbid);
-  NS_ASSERT_MSG (it != m_drbMap.end (), "could not find bearer with drbid == " << drbid);
+      std::map<uint8_t, Ptr<LteDataRadioBearerInfo> >::iterator it =   m_drbMap.find (drbid);
+      NS_ASSERT_MSG (it != m_drbMap.end (), "could not find bearer with drbid == " << drbid);
 
-  LtePdcpSapProvider::TransmitPdcpSduParameters params;
-  params.pdcpSdu = packet;
-  params.rnti = m_rnti;
-  params.lcid = it->second->m_logicalChannelIdentity;
-
-  NS_LOG_LOGIC (this << " RNTI=" << m_rnti << " sending packet " << packet
-                     << " on DRBID " << (uint32_t) drbid
-                     << " (LCID " << (uint32_t) params.lcid << ")"
-                     << " (" << packet->GetSize () << " bytes)");
-  it->second->m_pdcp->GetLtePdcpSapProvider ()->TransmitPdcpSdu (params);
+      LtePdcpSapProvider::TransmitPdcpSduParameters params;
+      params.pdcpSdu = packet;
+      params.rnti = m_rnti;
+      params.lcid = it->second->m_logicalChannelIdentity;
+
+      NS_LOG_LOGIC (this << " RNTI=" << m_rnti << " sending packet " << packet
+                         << " on DRBID " << (uint32_t) drbid
+                         << " (LCID " << (uint32_t) params.lcid << ")"
+                         << " (" << packet->GetSize () << " bytes)");
+      it->second->m_pdcp->GetLtePdcpSapProvider ()->TransmitPdcpSdu (params);
     }
 }
 
@@ -611,30 +610,30 @@
 
   switch (m_state)
     {
-    case IDLE_START:
-    case IDLE_CELL_SEARCH:
-    case IDLE_WAIT_MIB_SIB1:
-    case IDLE_WAIT_MIB:
-    case IDLE_WAIT_SIB1:
-    case IDLE_CAMPED_NORMALLY:
-      NS_LOG_INFO ("already disconnected");
-      break;
-
-    case IDLE_WAIT_SIB2:
-    case IDLE_CONNECTING:
-      NS_FATAL_ERROR ("cannot abort connection setup procedure");
-      break;
-
-    case CONNECTED_NORMALLY:
-    case CONNECTED_HANDOVER:
-    case CONNECTED_PHY_PROBLEM:
-    case CONNECTED_REESTABLISHING:
-      LeaveConnectedMode ();
-      break;
-
-    default: // i.e. IDLE_RANDOM_ACCESS
-      NS_FATAL_ERROR ("method unexpected in state " << ToString (m_state));
-      break;
+      case IDLE_START:
+      case IDLE_CELL_SEARCH:
+      case IDLE_WAIT_MIB_SIB1:
+      case IDLE_WAIT_MIB:
+      case IDLE_WAIT_SIB1:
+      case IDLE_CAMPED_NORMALLY:
+        NS_LOG_INFO ("already disconnected");
+        break;
+
+      case IDLE_WAIT_SIB2:
+      case IDLE_CONNECTING:
+        NS_FATAL_ERROR ("cannot abort connection setup procedure");
+        break;
+
+      case CONNECTED_NORMALLY:
+      case CONNECTED_HANDOVER:
+      case CONNECTED_PHY_PROBLEM:
+      case CONNECTED_REESTABLISHING:
+        LeaveConnectedMode ();
+        break;
+
+      default: // i.e. IDLE_RANDOM_ACCESS
+        NS_FATAL_ERROR ("method unexpected in state " << ToString (m_state));
+        break;
     }
 }
 
@@ -652,7 +651,7 @@
   NS_LOG_FUNCTION (this << rnti);
   m_rnti = rnti;
   m_srb0->m_rlc->SetRnti (m_rnti);
-  m_cphySapProvider.at(0)->SetRnti (m_rnti);
+  m_cphySapProvider.at (0)->SetRnti (m_rnti);
 }
 
 void
@@ -663,44 +662,44 @@
 
   switch (m_state)
     {
-    case IDLE_RANDOM_ACCESS:
-      {
-        // we just received a RAR with a T-C-RNTI and an UL grant
-        // send RRC connection request as message 3 of the random access procedure 
-        SwitchToState (IDLE_CONNECTING);
-        LteRrcSap::RrcConnectionRequest msg;
-        msg.ueIdentity = m_imsi;
-        m_rrcSapUser->SendRrcConnectionRequest (msg); 
-        m_connectionTimeout = Simulator::Schedule (m_t300,
-                                                   &LteUeRrc::ConnectionTimeout,
-                                                   this);
-      }
-      break;
-
-    case CONNECTED_HANDOVER:
-      {
-        LteRrcSap::RrcConnectionReconfigurationCompleted msg;
-        msg.rrcTransactionIdentifier = m_lastRrcTransactionIdentifier;
-        m_rrcSapUser->SendRrcConnectionReconfigurationCompleted (msg);
-
-        // 3GPP TS 36.331 section 5.5.6.1 Measurements related actions upon handover
-        std::map<uint8_t, LteRrcSap::MeasIdToAddMod>::iterator measIdIt;
-        for (measIdIt = m_varMeasConfig.measIdList.begin ();
-             measIdIt != m_varMeasConfig.measIdList.end ();
-             ++measIdIt)
-          {
-            VarMeasReportListClear (measIdIt->second.measId);
-          }
+      case IDLE_RANDOM_ACCESS:
+        {
+          // we just received a RAR with a T-C-RNTI and an UL grant
+          // send RRC connection request as message 3 of the random access procedure
+          SwitchToState (IDLE_CONNECTING);
+          LteRrcSap::RrcConnectionRequest msg;
+          msg.ueIdentity = m_imsi;
+          m_rrcSapUser->SendRrcConnectionRequest (msg);
+          m_connectionTimeout = Simulator::Schedule (m_t300,
+                                                     &LteUeRrc::ConnectionTimeout,
+                                                     this);
+        }
+        break;
+
+      case CONNECTED_HANDOVER:
+        {
+          LteRrcSap::RrcConnectionReconfigurationCompleted msg;
+          msg.rrcTransactionIdentifier = m_lastRrcTransactionIdentifier;
+          m_rrcSapUser->SendRrcConnectionReconfigurationCompleted (msg);
 
-        SwitchToState (CONNECTED_NORMALLY);
-        m_cmacSapProvider.at (0)->NotifyConnectionSuccessful (); //RA successful during handover
-        m_handoverEndOkTrace (m_imsi, m_cellId, m_rnti);
-      }
-      break;
-
-    default:
-      NS_FATAL_ERROR ("unexpected event in state " << ToString (m_state));
-      break; 
+          // 3GPP TS 36.331 section 5.5.6.1 Measurements related actions upon handover
+          std::map<uint8_t, LteRrcSap::MeasIdToAddMod>::iterator measIdIt;
+          for (measIdIt = m_varMeasConfig.measIdList.begin ();
+               measIdIt != m_varMeasConfig.measIdList.end ();
+               ++measIdIt)
+            {
+              VarMeasReportListClear (measIdIt->second.measId);
+            }
+
+          SwitchToState (CONNECTED_NORMALLY);
+          m_cmacSapProvider.at (0)->NotifyConnectionSuccessful (); //RA successful during handover
+          m_handoverEndOkTrace (m_imsi, m_cellId, m_rnti);
+        }
+        break;
+
+      default:
+        NS_FATAL_ERROR ("unexpected event in state " << ToString (m_state));
+        break;
     }
 }
 
@@ -712,27 +711,27 @@
 
   switch (m_state)
     {
-    case IDLE_RANDOM_ACCESS:
-      {
-        SwitchToState (IDLE_CAMPED_NORMALLY);
-        m_asSapUser->NotifyConnectionFailed ();
-      }
-      break;
-
-    case CONNECTED_HANDOVER:
-      {
-        m_handoverEndErrorTrace (m_imsi, m_cellId, m_rnti);
-        /**
-         * \todo After a handover failure because of a random access failure,
-         *       send an RRC Connection Re-establishment and switch to
-         *       CONNECTED_REESTABLISHING state.
-         */
-      }
-      break;
-
-    default:
-      NS_FATAL_ERROR ("unexpected event in state " << ToString (m_state));
-      break;
+      case IDLE_RANDOM_ACCESS:
+        {
+          SwitchToState (IDLE_CAMPED_NORMALLY);
+          m_asSapUser->NotifyConnectionFailed ();
+        }
+        break;
+
+      case CONNECTED_HANDOVER:
+        {
+          m_handoverEndErrorTrace (m_imsi, m_cellId, m_rnti);
+          /**
+           * \todo After a handover failure because of a random access failure,
+           *       send an RRC Connection Re-establishment and switch to
+           *       CONNECTED_REESTABLISHING state.
+           */
+        }
+        break;
+
+      default:
+        NS_FATAL_ERROR ("unexpected event in state " << ToString (m_state));
+        break;
     }
 }
 
@@ -744,58 +743,58 @@
   m_csgWhiteList = csgId;
 }
 
-void 
+void
 LteUeRrc::DoStartCellSelection (uint32_t dlEarfcn)
 {
   NS_LOG_FUNCTION (this << m_imsi << dlEarfcn);
   NS_ASSERT_MSG (m_state == IDLE_START,
                  "cannot start cell selection from state " << ToString (m_state));
   m_dlEarfcn = dlEarfcn;
-  m_cphySapProvider.at(0)->StartCellSearch (dlEarfcn);
+  m_cphySapProvider.at (0)->StartCellSearch (dlEarfcn);
   SwitchToState (IDLE_CELL_SEARCH);
 }
 
-void 
+void
 LteUeRrc::DoForceCampedOnEnb (uint16_t cellId, uint32_t dlEarfcn)
 {
   NS_LOG_FUNCTION (this << m_imsi << cellId << dlEarfcn);
 
   switch (m_state)
     {
-    case IDLE_START:
-      m_cellId = cellId;
-      m_dlEarfcn = dlEarfcn;
-      m_cphySapProvider.at(0)->SynchronizeWithEnb (m_cellId, m_dlEarfcn);
-      SwitchToState (IDLE_WAIT_MIB);
-      break;
-
-    case IDLE_CELL_SEARCH:
-    case IDLE_WAIT_MIB_SIB1:
-    case IDLE_WAIT_SIB1:
-      NS_FATAL_ERROR ("cannot abort cell selection " << ToString (m_state));
-      break;
-
-    case IDLE_WAIT_MIB:
-      NS_LOG_INFO ("already forced to camp to cell " << m_cellId);
-      break;
-
-    case IDLE_CAMPED_NORMALLY:
-    case IDLE_WAIT_SIB2:
-    case IDLE_RANDOM_ACCESS:
-    case IDLE_CONNECTING:
-      NS_LOG_INFO ("already camped to cell " << m_cellId);
-      break;
-
-    case CONNECTED_NORMALLY:
-    case CONNECTED_HANDOVER:
-    case CONNECTED_PHY_PROBLEM:
-    case CONNECTED_REESTABLISHING:
-      NS_LOG_INFO ("already connected to cell " << m_cellId);
-      break;
-
-    default:
-      NS_FATAL_ERROR ("unexpected event in state " << ToString (m_state));
-      break;
+      case IDLE_START:
+        m_cellId = cellId;
+        m_dlEarfcn = dlEarfcn;
+        m_cphySapProvider.at (0)->SynchronizeWithEnb (m_cellId, m_dlEarfcn);
+        SwitchToState (IDLE_WAIT_MIB);
+        break;
+
+      case IDLE_CELL_SEARCH:
+      case IDLE_WAIT_MIB_SIB1:
+      case IDLE_WAIT_SIB1:
+        NS_FATAL_ERROR ("cannot abort cell selection " << ToString (m_state));
+        break;
+
+      case IDLE_WAIT_MIB:
+        NS_LOG_INFO ("already forced to camp to cell " << m_cellId);
+        break;
+
+      case IDLE_CAMPED_NORMALLY:
+      case IDLE_WAIT_SIB2:
+      case IDLE_RANDOM_ACCESS:
+      case IDLE_CONNECTING:
+        NS_LOG_INFO ("already camped to cell " << m_cellId);
+        break;
+
+      case CONNECTED_NORMALLY:
+      case CONNECTED_HANDOVER:
+      case CONNECTED_PHY_PROBLEM:
+      case CONNECTED_REESTABLISHING:
+        NS_LOG_INFO ("already connected to cell " << m_cellId);
+        break;
+
+      default:
+        NS_FATAL_ERROR ("unexpected event in state " << ToString (m_state));
+        break;
     }
 
 }
@@ -807,34 +806,34 @@
 
   switch (m_state)
     {
-    case IDLE_START:
-    case IDLE_CELL_SEARCH:
-    case IDLE_WAIT_MIB_SIB1:
-    case IDLE_WAIT_SIB1:
-    case IDLE_WAIT_MIB:
-      m_connectionPending = true;
-      break;
-
-    case IDLE_CAMPED_NORMALLY:
-      m_connectionPending = true;
-      SwitchToState (IDLE_WAIT_SIB2);
-      break;
-
-    case IDLE_WAIT_SIB2:
-    case IDLE_RANDOM_ACCESS:
-    case IDLE_CONNECTING:
-      NS_LOG_INFO ("already connecting");
-      break;
-
-    case CONNECTED_NORMALLY:
-    case CONNECTED_REESTABLISHING:
-    case CONNECTED_HANDOVER:
-      NS_LOG_INFO ("already connected");
-      break;
-
-    default:
-      NS_FATAL_ERROR ("unexpected event in state " << ToString (m_state));
-      break;
+      case IDLE_START:
+      case IDLE_CELL_SEARCH:
+      case IDLE_WAIT_MIB_SIB1:
+      case IDLE_WAIT_SIB1:
+      case IDLE_WAIT_MIB:
+        m_connectionPending = true;
+        break;
+
+      case IDLE_CAMPED_NORMALLY:
+        m_connectionPending = true;
+        SwitchToState (IDLE_WAIT_SIB2);
+        break;
+
+      case IDLE_WAIT_SIB2:
+      case IDLE_RANDOM_ACCESS:
+      case IDLE_CONNECTING:
+        NS_LOG_INFO ("already connecting");
+        break;
+
+      case CONNECTED_NORMALLY:
+      case CONNECTED_REESTABLISHING:
+      case CONNECTED_HANDOVER:
+        NS_LOG_INFO ("already connected");
+        break;
+
+      default:
+        NS_FATAL_ERROR ("unexpected event in state " << ToString (m_state));
+        break;
     }
 }
 
@@ -845,27 +844,27 @@
 void
 LteUeRrc::DoRecvMasterInformationBlock (uint16_t cellId,
                                         LteRrcSap::MasterInformationBlock msg)
-{ 
+{
   m_dlBandwidth = msg.dlBandwidth;
-  m_cphySapProvider.at(0)->SetDlBandwidth (msg.dlBandwidth);
+  m_cphySapProvider.at (0)->SetDlBandwidth (msg.dlBandwidth);
   m_hasReceivedMib = true;
   m_mibReceivedTrace (m_imsi, m_cellId, m_rnti, cellId);
 
   switch (m_state)
     {
-    case IDLE_WAIT_MIB:
-      // manual attachment
-      SwitchToState (IDLE_CAMPED_NORMALLY);
-      break;
+      case IDLE_WAIT_MIB:
+        // manual attachment
+        SwitchToState (IDLE_CAMPED_NORMALLY);
+        break;
 
-    case IDLE_WAIT_MIB_SIB1:
-      // automatic attachment from Idle mode cell selection
-      SwitchToState (IDLE_WAIT_SIB1);
-      break;
-
-    default:
-      // do nothing extra
-      break;
+      case IDLE_WAIT_MIB_SIB1:
+        // automatic attachment from Idle mode cell selection
+        SwitchToState (IDLE_WAIT_SIB1);
+        break;
+
+      default:
+        // do nothing extra
+        break;
     }
 }
 
@@ -876,36 +875,36 @@
   NS_LOG_FUNCTION (this);
   switch (m_state)
     {
-    case IDLE_WAIT_SIB1:
-      NS_ASSERT_MSG (cellId == msg.cellAccessRelatedInfo.cellIdentity,
-                     "Cell identity in SIB1 does not match with the originating cell");
-      m_hasReceivedSib1 = true;
-      m_lastSib1 = msg;
-      m_sib1ReceivedTrace (m_imsi, m_cellId, m_rnti, cellId);
-      EvaluateCellForSelection ();
-      break;
-
-    case IDLE_CAMPED_NORMALLY:
-    case IDLE_RANDOM_ACCESS:
-    case IDLE_CONNECTING:
-    case CONNECTED_NORMALLY:
-    case CONNECTED_HANDOVER:
-    case CONNECTED_PHY_PROBLEM:
-    case CONNECTED_REESTABLISHING:
-      NS_ASSERT_MSG (cellId == msg.cellAccessRelatedInfo.cellIdentity,
-                     "Cell identity in SIB1 does not match with the originating cell");
-      m_hasReceivedSib1 = true;
-      m_lastSib1 = msg;
-      m_sib1ReceivedTrace (m_imsi, m_cellId, m_rnti, cellId);
-      break;
-
-    case IDLE_WAIT_MIB_SIB1:
-      // MIB has not been received, so ignore this SIB1
-      break;
-
-    default: // e.g. IDLE_START, IDLE_CELL_SEARCH, IDLE_WAIT_MIB, IDLE_WAIT_SIB2
-      // do nothing
-      break;
+      case IDLE_WAIT_SIB1:
+        NS_ASSERT_MSG (cellId == msg.cellAccessRelatedInfo.cellIdentity,
+                       "Cell identity in SIB1 does not match with the originating cell");
+        m_hasReceivedSib1 = true;
+        m_lastSib1 = msg;
+        m_sib1ReceivedTrace (m_imsi, m_cellId, m_rnti, cellId);
+        EvaluateCellForSelection ();
+        break;
+
+      case IDLE_CAMPED_NORMALLY:
+      case IDLE_RANDOM_ACCESS:
+      case IDLE_CONNECTING:
+      case CONNECTED_NORMALLY:
+      case CONNECTED_HANDOVER:
+      case CONNECTED_PHY_PROBLEM:
+      case CONNECTED_REESTABLISHING:
+        NS_ASSERT_MSG (cellId == msg.cellAccessRelatedInfo.cellIdentity,
+                       "Cell identity in SIB1 does not match with the originating cell");
+        m_hasReceivedSib1 = true;
+        m_lastSib1 = msg;
+        m_sib1ReceivedTrace (m_imsi, m_cellId, m_rnti, cellId);
+        break;
+
+      case IDLE_WAIT_MIB_SIB1:
+        // MIB has not been received, so ignore this SIB1
+        break;
+
+      default: // e.g. IDLE_START, IDLE_CELL_SEARCH, IDLE_WAIT_MIB, IDLE_WAIT_SIB2
+        // do nothing
+        break;
     }
 }
 
@@ -927,7 +926,7 @@
           // in this case the measurement received is related to secondary carriers
           // measurements related to secondary carriers are saved on a different portion of memory
           SaveScellUeMeasurements (newMeasIt->m_cellId, newMeasIt->m_rsrp,
-                                   newMeasIt->m_rsrq, useLayer3Filtering, 
+                                   newMeasIt->m_rsrq, useLayer3Filtering,
                                    params.m_componentCarrierId );
         }
       else
@@ -951,7 +950,7 @@
                measIdIt != m_varMeasConfig.measIdList.end (); ++measIdIt)
             {
               MeasurementReportTriggering (measIdIt->first);
-             }
+            }
         }
     }
 
@@ -973,7 +972,7 @@
 }
 
 
-void 
+void
 LteUeRrc::DoRecvSystemInformation (LteRrcSap::SystemInformation msg)
 {
   NS_LOG_FUNCTION (this << " RNTI " << m_rnti);
@@ -982,73 +981,73 @@
     {
       switch (m_state)
         {
-        case IDLE_CAMPED_NORMALLY:
-        case IDLE_WAIT_SIB2:
-        case IDLE_RANDOM_ACCESS:
-        case IDLE_CONNECTING:
-        case CONNECTED_NORMALLY:
-        case CONNECTED_HANDOVER:
-        case CONNECTED_PHY_PROBLEM:
-        case CONNECTED_REESTABLISHING:
-          m_hasReceivedSib2 = true;
-          m_ulBandwidth = msg.sib2.freqInfo.ulBandwidth;
-          m_ulEarfcn = msg.sib2.freqInfo.ulCarrierFreq;
-          m_sib2ReceivedTrace (m_imsi, m_cellId, m_rnti);
-          LteUeCmacSapProvider::RachConfig rc;
-          rc.numberOfRaPreambles = msg.sib2.radioResourceConfigCommon.rachConfigCommon.preambleInfo.numberOfRaPreambles;
-          rc.preambleTransMax = msg.sib2.radioResourceConfigCommon.rachConfigCommon.raSupervisionInfo.preambleTransMax;
-          rc.raResponseWindowSize = msg.sib2.radioResourceConfigCommon.rachConfigCommon.raSupervisionInfo.raResponseWindowSize;
-          rc.connEstFailCount = msg.sib2.radioResourceConfigCommon.rachConfigCommon.txFailParam.connEstFailCount;
-          m_connEstFailCountLimit = rc.connEstFailCount;
-          NS_ASSERT_MSG (m_connEstFailCountLimit > 0 && m_connEstFailCountLimit < 5,
-                         "SIB2 msg contains wrong value "
-                         << m_connEstFailCountLimit << "of connEstFailCount");
-          m_cmacSapProvider.at (0)->ConfigureRach (rc);
-          m_cphySapProvider.at (0)->ConfigureUplink (m_ulEarfcn, m_ulBandwidth);
-          m_cphySapProvider.at (0)->ConfigureReferenceSignalPower (msg.sib2.radioResourceConfigCommon.pdschConfigCommon.referenceSignalPower);
-          if (m_state == IDLE_WAIT_SIB2)
-            {
-              NS_ASSERT (m_connectionPending);
-              StartConnection ();
-            }
-          break;
-
-        default: // IDLE_START, IDLE_CELL_SEARCH, IDLE_WAIT_MIB, IDLE_WAIT_MIB_SIB1, IDLE_WAIT_SIB1
-          // do nothing
-          break;
+          case IDLE_CAMPED_NORMALLY:
+          case IDLE_WAIT_SIB2:
+          case IDLE_RANDOM_ACCESS:
+          case IDLE_CONNECTING:
+          case CONNECTED_NORMALLY:
+          case CONNECTED_HANDOVER:
+          case CONNECTED_PHY_PROBLEM:
+          case CONNECTED_REESTABLISHING:
+            m_hasReceivedSib2 = true;
+            m_ulBandwidth = msg.sib2.freqInfo.ulBandwidth;
+            m_ulEarfcn = msg.sib2.freqInfo.ulCarrierFreq;
+            m_sib2ReceivedTrace (m_imsi, m_cellId, m_rnti);
+            LteUeCmacSapProvider::RachConfig rc;
+            rc.numberOfRaPreambles = msg.sib2.radioResourceConfigCommon.rachConfigCommon.preambleInfo.numberOfRaPreambles;
+            rc.preambleTransMax = msg.sib2.radioResourceConfigCommon.rachConfigCommon.raSupervisionInfo.preambleTransMax;
+            rc.raResponseWindowSize = msg.sib2.radioResourceConfigCommon.rachConfigCommon.raSupervisionInfo.raResponseWindowSize;
+            rc.connEstFailCount = msg.sib2.radioResourceConfigCommon.rachConfigCommon.txFailParam.connEstFailCount;
+            m_connEstFailCountLimit = rc.connEstFailCount;
+            NS_ASSERT_MSG (m_connEstFailCountLimit > 0 && m_connEstFailCountLimit < 5,
+                           "SIB2 msg contains wrong value "
+                           << m_connEstFailCountLimit << "of connEstFailCount");
+            m_cmacSapProvider.at (0)->ConfigureRach (rc);
+            m_cphySapProvider.at (0)->ConfigureUplink (m_ulEarfcn, m_ulBandwidth);
+            m_cphySapProvider.at (0)->ConfigureReferenceSignalPower (msg.sib2.radioResourceConfigCommon.pdschConfigCommon.referenceSignalPower);
+            if (m_state == IDLE_WAIT_SIB2)
+              {
+                NS_ASSERT (m_connectionPending);
+                StartConnection ();
+              }
+            break;
+
+          default: // IDLE_START, IDLE_CELL_SEARCH, IDLE_WAIT_MIB, IDLE_WAIT_MIB_SIB1, IDLE_WAIT_SIB1
+            // do nothing
+            break;
         }
     }
 
 }
 
 
-void 
+void
 LteUeRrc::DoRecvRrcConnectionSetup (LteRrcSap::RrcConnectionSetup msg)
 {
   NS_LOG_FUNCTION (this << " RNTI " << m_rnti);
   switch (m_state)
     {
-    case IDLE_CONNECTING:
-      {
-        ApplyRadioResourceConfigDedicated (msg.radioResourceConfigDedicated);
-        m_connEstFailCount = 0;
-        m_connectionTimeout.Cancel ();
-        SwitchToState (CONNECTED_NORMALLY);
-        m_leaveConnectedMode = false;
-        LteRrcSap::RrcConnectionSetupCompleted msg2;
-        msg2.rrcTransactionIdentifier = msg.rrcTransactionIdentifier;
-        m_rrcSapUser->SendRrcConnectionSetupCompleted (msg2);
-        m_asSapUser->NotifyConnectionSuccessful ();
-        m_cmacSapProvider.at (0)->NotifyConnectionSuccessful ();
-        m_connectionEstablishedTrace (m_imsi, m_cellId, m_rnti);
-        NS_ABORT_MSG_IF (m_noOfSyncIndications > 0, "Sync indications should be zero "
-                         "when a new RRC connection is established. Current value = " << (uint16_t) m_noOfSyncIndications);
-      }
-      break;
-
-    default:
-      NS_FATAL_ERROR ("method unexpected in state " << ToString (m_state));
-      break;
+      case IDLE_CONNECTING:
+        {
+          ApplyRadioResourceConfigDedicated (msg.radioResourceConfigDedicated);
+          m_connEstFailCount = 0;
+          m_connectionTimeout.Cancel ();
+          SwitchToState (CONNECTED_NORMALLY);
+          m_leaveConnectedMode = false;
+          LteRrcSap::RrcConnectionSetupCompleted msg2;
+          msg2.rrcTransactionIdentifier = msg.rrcTransactionIdentifier;
+          m_rrcSapUser->SendRrcConnectionSetupCompleted (msg2);
+          m_asSapUser->NotifyConnectionSuccessful ();
+          m_cmacSapProvider.at (0)->NotifyConnectionSuccessful ();
+          m_connectionEstablishedTrace (m_imsi, m_cellId, m_rnti);
+          NS_ABORT_MSG_IF (m_noOfSyncIndications > 0, "Sync indications should be zero "
+                           "when a new RRC connection is established. Current value = " << (uint16_t) m_noOfSyncIndications);
+        }
+        break;
+
+      default:
+        NS_FATAL_ERROR ("method unexpected in state " << ToString (m_state));
+        break;
     }
 }
 
